#include <wlr/types/wlr_scene.h>
#include <wlr/types/wlr_output.h>
#include <wlr/types/wlr_output_layout.h>
#include <wlr/render/wlr_renderer.h>
#include <wlr/render/allocator.h>
#include <wlr/types/wlr_compositor.h>
#include <wlr/util/log.h>
#include <stdlib.h>
#include <string.h>
#include <panes/renderer.h>
#include <stdio.h>
#include <stdint.h>
#include <ctype.h>

void renderer_set_background(struct wlr_scene *scene, uint32_t hex_color) {
    float rgba[4];
    rgba[0] = ((hex_color >> 16) & 0xFF) / 255.0f;
    rgba[1] = ((hex_color >> 8)  & 0xFF) / 255.0f;
    rgba[2] = ( hex_color        & 0xFF) / 255.0f;
    rgba[3] = 1.0f;

    struct wlr_scene_rect *rect = wlr_scene_rect_create(&scene->tree, 1, 1, rgba);
    wlr_scene_node_lower_to_bottom(&rect->node);
}
